Bug 1122613 - Different Caches and Nodes On the Same Network Fill Up Each Others Log Files
Summary: Different Caches and Nodes On the Same Network Fill Up Each Others Log Files
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: JGroups
Version: 6.2.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Tristan Tarrant
QA Contact: Martin Gencur
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-23 15:36 UTC by John Osborne
Modified: 2014-09-01 07:02 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-28 07:38:05 UTC
Type: Bug


Attachments (Terms of Use)

Description John Osborne 2014-07-23 15:36:37 UTC
If you run one cache/cache manager on some arbitrary VM and then run a completely different cache/cachemanager on another VM in the same network, JGroups messages will show up for the other cache that you do not care about, making it difficult to decipher what is going on with your own cache.

Comment 2 Martin Gencur 2014-07-24 09:09:56 UTC
Hello John,
it would be helpful to have example logs. What messages you think were not supposed to be in the logs etc.

Comment 3 John Osborne 2014-08-01 15:05:26 UTC
11:00:15,317 DEBUG [org.infinispan.remoting.transport.jgroups.JGroupsTransport] (Incoming-1,josborne-jdg131-6617) New view accepted: [josborne-jdg131-6617|4] (3) [josborne-jdg131-6617, josborne-jdg132-56382, josborne-jdg133-16837]
11:00:15,318 INFO  [org.infinispan.remoting.transport.jgroups.JGroupsTransport] (Incoming-1,josborne-jdg131-6617) ISPN000094: Received new cluster view: [josborne-jdg131-6617|4] (3) [josborne-jdg131-6617, josborne-jdg132-56382, josborne-jdg133-16837]

Here are a couple samples I took from josborne-jdg131.

Note that josborne-jdg133 has the same jgroups.xml file but is running a completely different cache configuration.

Comment 4 Alan Field 2014-08-28 07:38:05 UTC
Hey John,

JDG is working as expected. Your nodes are clustering with each other, since they share the same JGroups configuration. You are just running different caches on each node. Running asymmetric caches is a supported use case in JDG 6.2.

Thanks,
Alan

Comment 5 John Osborne 2014-08-29 16:08:00 UTC
OK thanks.  From the logs it looked like their might be some sort of unauthorized communication between the two caches.

Comment 6 Alan Field 2014-09-01 07:02:42 UTC
These messages are just showing that you have 3 nodes in your cluster view, so nothing spurious going on!


Note You need to log in before you can comment on or make changes to this bug.